Package org.apache.lucene.queries.spans

# Class SpanDisiWrapper

java.lang.Object
org.apache.lucene.queries.spans.SpanDisiWrapper

public class SpanDisiWrapper extends Object
Wrapper used in `SpanDisiPriorityQueue`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final DocIdSetIterator`
  `approximation`
  `final long`
  `cost`
  `int`
  `doc`
  `final DocIdSetIterator`
  `iterator`
  `int`
  `lastApproxMatchDoc`
  `int`
  `lastApproxNonMatchDoc`
  `final float`
  `matchCost`
  `SpanDisiWrapper`
  `next`
  `final Spans`
  `spans`
  `final TwoPhaseIterator`
  `twoPhaseView`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpanDisiWrapper(Spans spans)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### iterator

    public final DocIdSetIterator iterator

  - ### cost

    public final long cost

  - ### matchCost

    public final float matchCost

  - ### doc

    public int doc

  - ### next

    public SpanDisiWrapper next

  - ### approximation

    public final DocIdSetIterator approximation

  - ### twoPhaseView

    public final TwoPhaseIterator twoPhaseView

  - ### spans

    public final Spans spans

  - ### lastApproxMatchDoc

    public int lastApproxMatchDoc

  - ### lastApproxNonMatchDoc

    public int lastApproxNonMatchDoc

- ## Constructor Details

  - ### SpanDisiWrapper

    public SpanDisiWrapper(Spans spans)